function StatsElement(data){
    this.class = "StatsElement"; // MANDATORY
	this.data = data;

    this.getStatType = function(){
        var stat_type = 0;
        var stat_value = this.data.attr('active');
        if(typeof(stat_value) !== "undefined"){
            if(stat_value == "false" || stat_value == "0"){
                stat_type = 0;
            }else if(stat_value == "true"){
                stat_type = 1;
            }else{
                stat_type = parseInt(stat_value);
            }
        }
		return stat_type;
	};

    this.getConditionStats = function(){
        var conditions = [];
        var items = this.data.find("condition");
        for(var i=0;i<items.length;i++){
            conditions.push($(items[i]).attr('id'));
        };
        return conditions;
    };

    this.createPlayerStat = function(timestamp,player_id,content_id,campaign_id,condition_stats){
        if(typeof(condition_stats) === "undefined"){condition_stats = "";}
        if(typeof(campaign_id) === "undefined"){campaign_id = 0;}
        var stat = '{';
        stat+= '"plv_id":'+player_id;
        stat+= ',"tstamp":'+timestamp;
        stat+= ',"content_id":'+content_id;
        stat+= ',"campaign_id":'+campaign_id;
        stat+= ',"conditions":['+condition_stats+']';
        stat+='}';

        return stat;
    };

    this.createAnalyticStat = function(timestamp,player_id,content_id,campaign_id,condition_stats){
        var player_stat = this.createPlayerStat(timestamp,player_id,content_id,campaign_id,condition_stats);
        return player_stat;
    };
}
